arithmoi-0.13.0.0: Efficient basic number-theoretic functions.

Copyright | (c) 2018 Alexandre Rodrigues Baldé
License | MIT
Maintainer | Alexandre Rodrigues Baldé <alexandrer_b@outlook.com>
Safe Haskell | Safe-Inferred
Language | Haskell2010

Math.NumberTheory.Recurrences

Description

Synopsis

- module Math.NumberTheory.Recurrences.Linear
- module Math.NumberTheory.Recurrences.Bilinear
- partition :: Num a => Infinite a

# Documentation

module Math.NumberTheory.Recurrences.Linear

module Math.NumberTheory.Recurrences.Bilinear

partition :: Num a => Infinite a Source #

Infinite zero-based table of partition numbers.

    >>> take 10 partition
    [1,1,2,3,5,7,11,15,22,30]

    >>> :set -XDataKinds
    >>> import Data.Mod
    >>> partition !! 1000 :: Mod 1000
    (991 `modulo` 1000)